#!/bin/pwsh
. "$PSScriptRoot/../../Scripts/Context.ps1";

function Get-UACDisablerScript() {
    return {
        param (
            [int]$EventID,
            [string]$ContextScriptPath,
            [string]$AutoLoginTaskName,
            [string]$UACDisablerTaskName,
            [string]$AutoLoginTriggerProperty,
            [string]$UACDisablerTriggerProperty
        );

        . "$ContextScriptPath";
        $context = [Context]::new();
        Unregister-ScheduledTask -Confirm:$false $AutoLoginTaskName;
        Unregister-ScheduledTask -Confirm:$false $UACDisablerTaskName;
        $context.SetUACState($false);
        $context.Remove($AutoLoginTriggerProperty);
        $context.Remove($UACDisablerTriggerProperty);
        $context.DeregisterNewUserReboot();
        Write-EventLog -LogName Application -Source "Application" -EventId $EventID -Message "This event was created by $env:Username";
        Restart-Computer -Force;
    };
}
